/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.openrune.event;

/**
 * Binds Listener objects to the events that they are listening for.
 * <p>
 * One Binder instance is created for each plugin. That instance is then
 * passed into the register() method of all of the plugin's Listener objects.
 * @author ry60003333
 */
public interface Binder
{
    /**
     * Set the class that the Binder should register keys for.
     * <p>
     * The class parameter should be set to the Class object that 
     * represents an event that the engine will fire. Using other Class
     * objects will register listeners that take up memory, but will never
     * actually be called.
     * @param clazz The class to register keys for.
     */
    public void setClass(Class clazz);
    
    public void bind(Object key);
}
