/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.openrune.event;

/**
 * A Listener for game events.
 * <p>
 * A Listener has it's register() method called when a plugin
 * is initially loaded; although the method may be called more then
 * once if the plugin is unloaded and then reloaded.
 * @author ry60003333
 */
public interface Listener
{
    /**
     * Register all of the events that the Listener is for.
     * <p>
     * Listeners should first call the setClass() method of the binder
     * to specify what type of event they want to listen for; then
     * the bind() method should be called to attach code to an event key.
     * @param binder The Binder object to register the events too.
     */
    public void register(Binder binder);
}
