/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.openrune.task;

/**
 * A handle to a running Task object.
 * <p>
 * A handle is a reference that allows control over
 * the execution of a Task.
 * @author ry60003333
 */
public interface TaskHandle
{
    /**
     * Check if the underlying Task is terminated.
     * <p>
     * A terminated Task will no longer execute, and
     * the handle to the task should be released in
     * order to prevent a memory leak.
     * @return If the underlying Task is terminated.
     */
    public boolean isTerminated();
    
    /**
     * Set the underlying Task as terminated.
     * <p>
     * If the Task that the handle refers to is
     * already terminated, then this method has
     * no effect.
     */
    public void setTerminated();
}
